Request email verification code
curl --request POST \
--url https://api.cal.com/v2/teams/{teamId}/verified-resources/emails/verification-code/request \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "acme@example.com"
}
'import requests
url = "https://api.cal.com/v2/teams/{teamId}/verified-resources/emails/verification-code/request"
payload = { "email": "acme@example.com" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'acme@example.com'})
};
fetch('https://api.cal.com/v2/teams/{teamId}/verified-resources/emails/verification-code/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}Teams Verified Resources
Request email verification code
Sends a verification code to the Email. If accessed using an OAuth access token, the TEAM_VERIFIED_RESOURCES_WRITE scope is required.
POST
/
v2
/
teams
/
{teamId}
/
verified-resources
/
emails
/
verification-code
/
request
Request email verification code
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Path Parameters
Body
application/json
Email to verify.
Example:
"acme@example.com"
Response
200 - application/json
Available options:
success, error Example:
"success"
Was this page helpful?
⌘I